Skip to main content
curl https://checkout.noxpay.io/v2/withdrawal/NOXwdr001 \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/withdrawal/NOXwdr001",
    headers={"api-key": "<key>"},
)
print(response.json())
const response = await fetch(
  "https://checkout.noxpay.io/v2/withdrawal/NOXwdr001",
  { headers: { "api-key": "<key>" } }
);
const data = await response.json();
{
  "end2end": "NOXwdr001",
  "component": "success_withdrawl_dash",
  "state": "DONE",
  "template": "withdraw_dash_same_curr",
  "created_at": "2024-05-03T14:00:00Z",
  "updated_at": "2024-05-03T14:05:00Z",
  "status": { "en": "Success", "pt": "Sucesso" },
  "substatus": { "en": "Withdrawal Completed", "pt": "Saque Concluído" },
  "message": {
    "en": "Withdrawal completed successfully",
    "pt": "Saque concluído com sucesso"
  },
  "error_message": { "en": "", "pt": "" },
  "attributes": {
    "amount_discounted": 99.00,
    "amount_received": 100.00,
    "currency_received": "USDT TRC20",
    "currency_receive_code": "USDT",
    "address": "TXyZ...abc",
    "tx_hash": "0xabc123...",
    "explorer_url": "https://tronscan.org/#/transaction/0xabc123",
    "network_fee": "1.00",
    "group_id": "wl-group-id",
    "notes": "Monthly payout"
  }
}
{ "error": "Not Found" }
A withdrawal moves funds from your Noxpay balance to a whitelisted wallet or PIX key.

Path parameters

ParameterDescription
idThe end2end identifier (e.g. NOXwdr001)

Response 200 OK

Attributes

FieldTypeDescription
amount_discountedfloatAmount actually sent after deducting the network fee
amount_receivedfloatAmount originally requested
currency_receivedstringAsset display name (e.g. USDT TRC20)
currency_receive_codestringAsset code (e.g. USDT)
addressstringDestination blockchain address
tx_hashstringOn-chain transaction hash
explorer_urlstringBlock explorer URL for the transaction
network_feestringBlockchain network fee paid
group_idstringWhitelist group ID used for this withdrawal
notesstringOptional notes attached to the withdrawal
404 — withdrawal not found or does not belong to your account. For all status / substatus values see Withdrawal statuses.
curl https://checkout.noxpay.io/v2/withdrawal/NOXwdr001 \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/withdrawal/NOXwdr001",
    headers={"api-key": "<key>"},
)
print(response.json())
const response = await fetch(
  "https://checkout.noxpay.io/v2/withdrawal/NOXwdr001",
  { headers: { "api-key": "<key>" } }
);
const data = await response.json();
{
  "end2end": "NOXwdr001",
  "component": "success_withdrawl_dash",
  "state": "DONE",
  "template": "withdraw_dash_same_curr",
  "created_at": "2024-05-03T14:00:00Z",
  "updated_at": "2024-05-03T14:05:00Z",
  "status": { "en": "Success", "pt": "Sucesso" },
  "substatus": { "en": "Withdrawal Completed", "pt": "Saque Concluído" },
  "message": {
    "en": "Withdrawal completed successfully",
    "pt": "Saque concluído com sucesso"
  },
  "error_message": { "en": "", "pt": "" },
  "attributes": {
    "amount_discounted": 99.00,
    "amount_received": 100.00,
    "currency_received": "USDT TRC20",
    "currency_receive_code": "USDT",
    "address": "TXyZ...abc",
    "tx_hash": "0xabc123...",
    "explorer_url": "https://tronscan.org/#/transaction/0xabc123",
    "network_fee": "1.00",
    "group_id": "wl-group-id",
    "notes": "Monthly payout"
  }
}
{ "error": "Not Found" }